Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155115 - CAN-2005-0752 Multiple firefox issues. (CAN-2005-0989)
Summary: CAN-2005-0752 Multiple firefox issues. (CAN-2005-0989)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: impact=important,public=20050415,sour...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-16 14:51 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-28 20:31:03 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-04-16 14:51:45 UTC
+++ This bug was initially created as a clone of Bug #155114 +++

Firefox 1.0.3 has been released.  The following issues have been fixed
http://www.mozilla.org/projects/security/known-vulnerabilities.html

MFSA 2005-33  Javascript "lambda" replace exposes memory contents
            CAN-2005-0989
MFSA 2005-34 javascript: PLUGINSPAGE code execution
            CAN-2005-0752
MFSA 2005-35 Showing blocked javascript: popup uses wrong privilege context
MFSA 2005-36 Cross-site scripting through global scope pollution
MFSA 2005-37 Code execution through javascript: favicons
MFSA 2005-38 Search plugin cross-site scripting
MFSA 2005-39 Arbitrary code execution from Firefox sidebar panel II
MFSA 2005-40 Missing Install object instance checks
MFSA 2005-41 Privilege escalation via DOM property overrides

I'll fill in the rest of the CVE id's when they arrive.

Comment 1 Tomasz Ostrowski 2005-04-25 07:09:24 UTC
There's a working, public proof of concept code creating arbitrary file in
user's home directory for MFSA 2005-37 http://www.mikx.de/firelinking/ which can
be trivially modified by a script kiddie to execute arbitrary commands, for
example by writing a .bash_profile file. Please release a security update when
possible.

Comment 2 Warren Togami 2005-04-25 07:25:11 UTC
We released a firefox-1.0.3 update a few days ago.  It is still affected by this
problem?  In my testing it isn't.


Comment 3 Tomasz Ostrowski 2005-04-26 07:28:08 UTC
You did. I'm sorry. I didn't notice because the advisory was not sent to
fedora-announce mailing list:
https://www.redhat.com/archives/fedora-announce-list/2005-April/date.html


Comment 4 Christopher Aillon 2005-04-28 20:31:03 UTC
Fixed in latest release of firefox


Note You need to log in before you can comment on or make changes to this bug.